#!/bin/sh
PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/games:/usr/games'
echo 'start i2c-foo'
sudo modprobe i2c_dev
sudo modprobe i2c_bcm2708
echo 'starting log'
tmux new-session -s status -d 'sudo less /var/log/shuttercontrol.log'
cd /home/pi/netz39_rollladensteuerung/raspberry/shuttercontrol 
echo 'switch-on.sh'
../switch-on.sh
cd /home/pi
echo 'start shuttercontrol'
tmux new-window -t status:1 'cd /home/pi/netz39_rollladensteuerung/raspberry/shuttercontrol && ./shuttercontrol.sh'
echo 'start watchdog'
tmux new-window -t status:2 'cd /home/pi/netz39_rollladensteuerung/raspberry/doorcontrol && ./door-with-spacestatus.sh'
#tmux new-window -t status:2 'cd /home/pi/netz39_rollladensteuerung/raspberry/door-watchdog && python3 ./door-watchdog.py'

echo 'start door-sound.sh'
tmux new-window -t status:3 'cd /home/pi/netz39_rollladensteuerung/raspberry/doorcontrol && ./door-sound.sh'
echo 'start ic3-client'
tmux new-window -t status:4 'cd /home/pi/netz39_xmpp_space_control/i3c_client && build/i3c_client --foreground'
echo 'start asterisk abuse check'
tmux new-window -t status:5 'cd /home/pi/netz39_rollladensteuerung/raspberry/asterisk && sudo ./check-abuse.sh'
echo 'start asterisk console'
tmux new-window -t status:6 'sudo asterisk -vvvr'
echo 'start door service'
tmux new-window -t status:7 'cd /home/pi/netz39_rollladensteuerung/raspberry/door-service && python3 door-service.py'
echo 'start mqtt-clock'
tmux new-window -t status:8 'cd /home/pi/mqtt-tools/agents && ./mqtt-clock'

#echo 'start ampel controller'
# This does not work as intended xD
#tmux new-window -t status:9 'cd /home/pi/netz39_space_notification/raspberry/ledcontrol && ./ledcontrol'


#echo 'start shuttercontrol-service (experimental)'
#tmux new-window -t status:9 'cd /home/pi && python3 ./shuttercontrol-service.py'
