# ansible-role cleanuri

> Set up the [cleanURI](https://github.com/penguineer/cleanURI) service.

## Dependencies

This role uses the [setup_http_site_proxy](../setup_http_site_proxy) role.

## Use

```yaml
  roles:
    - role: cleanuri
      vars:
        # Make sure to set up HTTPS ingress
        cleanuri_ui_domain: …
        cleanuri_ui_host_port: …
        cleanuri_api_domain: …
        cleanuri_api_host_port: …
        # These values need to be set up in RabbitMQ
        cleanuri_amqp_host: …
        cleanuri_amqp_user: …
        cleanuri_amqp_pass: …
        cleanuri_amqp_vhost: …  # default "/"
```

Please check [defaults/main.yml](defaults/main.yml) for a complete list of variables.
